Summary:	GNU time Utility
Summary(de.UTF-8):	GNU-Time-Utility
Summary(fr.UTF-8):	Utilitaire time de GNU
Summary(pl.UTF-8):	Narzędzie GNU do pomiaru czasu
Summary(tr.UTF-8):	GNU zamanlama aracı
Name:		time
Version:	1.9
Release:	1%{?tld}
License:	GPL v3+
Group:		Applications/System
Source0:	http://ftp.gnu.org/gnu/time/%{name}-%{version}.tar.gz
# Source0-md5:	d2356e0fe1c0b85285d83c6b2ad51b5f
Patch0:		%{name}-info.patch
Patch1:		%{name}-man.patch
URL:		http://www.gnu.org/software/time/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The 'time' utility is used as a sort of 'stopwatch' to time the
execution of a specified command. It can aid in the optimization of
programs for maximum speed, as well as a number of other uses.

%description -l de.UTF-8
Das TIME-Utility wird als eine Art Stoppuhr zum Messen der Ausführung
eines bestimmten Befehls benutzt. Es dient in erster Linie der
Optimierung von Programmen für maximale Geschwindigkeit, hat aber
daneben eine Vielzahl anderer Anwendungen.

%description -l fr.UTF-8
L'utilitaire « time » sert de chronomètre pour mesurer le temps
d'exécution d'une commande donnée. Il peut aider à l'optimisation de
programmes pour obtenir une vitesse maximale et a beaucoup d'autres
uilisations.

%description -l pl.UTF-8
Program time umożliwia zmierzenie czasu wykonania badanego programu.
Jest pomocny np. przy optymalizowaniu algorytmów pod kątem szybkości.

%description -l tr.UTF-8
time, bir uygulamanın çalışma zamanının ölçülmesi için kronometre gibi
kullanılır. Genellikle programların hız açısından iyileştirilmesinde
yararlı olur.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p time.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/time
%{_infodir}/time.info*
%{_mandir}/man1/time.1*
%changelog
* Sun May 09 2021 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/time.git;a=log;h=master

* Tue Jun 12 2018 Jakub Bogusz <qboosh@pld-linux.org> 75a0dc9
- updated to 1.9

* Sun Dec 10 2017 Jakub Bogusz <qboosh@pld-linux.org> f1e7b55
- updated to 1.8 (GPL v3 now)
- updated info patch
- removed outdated alpha patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> bb71309
- x32 rebuild
- release 28 (by relup.sh)

* Sun Jul 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 28cfa52
- pl fixes, more docs, added URL
- release 27

* Wed May 28 2008 Elan Ruusamäe <glen@pld-linux.org> 81c5a58
- release 26

* Wed May 28 2008 Elan Ruusamäe <glen@pld-linux.org> 0394315
- rel 25 for fc2 upgrade

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 276a67f
- unify ftp.gnu.org urls

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 0fd8a46
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 1683377
- rel 18

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 834c77e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 646fa8c
- converted to UTF-8

* Mon Dec 01 2003 undefine <undefine@pld-linux.org> 1b72414
- release 17 to rebuild with ac

* Fri Aug 08 2003 Jakub Bogusz <qboosh@pld-linux.org> 6b79c8e
- added alpha patch to force using wait3() and allow build on alpha
- simplified install, BR: am
- release 16

* Fri Aug 08 2003 Jakub Bogusz <qboosh@pld-linux.org> ca0bb5c
- allow build w/o wait3 and fix detecting wait3() on alpha anyway

* Tue May 27 2003 trojan <trojan@pld-linux.org> b0a6713
- added Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> cd6640c
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Dec 24 2002 Jakub Bogusz <qboosh@pld-linux.org> 92cf28a
- updated Source0 URL

* Sat Nov 30 2002 juandon <witekfl@pld-linux.org> 699b404
- new %doc

* Tue May 21 2002 kloczek <kloczek@pld-linux.org> f7c2aee
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 1b77841
- adapterized.

